com.pixelmed.dose

## Class CTScanType

- java.lang.Object
- - com.pixelmed.dose.CTScanType

    public class CTScanType
    extends java.lang.Object

### Field Summary

Fields
`static CTScanType` `AXIAL`
`static CTScanType` `FREE`
`static CTScanType` `HELICAL`
`static CTScanType` `LOCALIZER`
`static CTScanType` `STATIONARY`
`static CTScanType` `UNKNOWN`

### Method Summary

Methods
`CodedSequenceItem` `getCodedSequenceItem()`
`static CodedSequenceItem` `getCodedSequenceItem(CTScanType scanType)`
`static CTScanType` `selectFromCode(CodedSequenceItem csi)`
`static CTScanType` `selectFromDescription(java.lang.String description)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LOCALIZER

    public static final CTScanType LOCALIZER

#### HELICAL

    public static final CTScanType HELICAL

#### AXIAL

    public static final CTScanType AXIAL

#### STATIONARY

    public static final CTScanType STATIONARY

#### FREE

    public static final CTScanType FREE

#### UNKNOWN

    public static final CTScanType UNKNOWN

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### selectFromDescription

    public static CTScanType selectFromDescription(java.lang.String description)

#### selectFromCode

    public static CTScanType selectFromCode(CodedSequenceItem csi)

#### getCodedSequenceItem

    public static CodedSequenceItem getCodedSequenceItem(CTScanType scanType)
                                                  throws DicomException

Throws:
  `DicomException`

#### getCodedSequenceItem

    public CodedSequenceItem getCodedSequenceItem()
                                           throws DicomException

Throws:
  `DicomException`